SystemOrganization addCategory: #'AL-Tests-Core'!

TestCase subclass: #ALLocatorTest
	instanceVariableNames: 'delegate locator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-Core'!

ALLocatorTest subclass: #ALClientLocatorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-Core'!

!ALClientLocatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 3/11/2011 14:54'!
locatorClass 
	^ ALClientLocator ! !

ALLocatorTest subclass: #ALExplicitLocatorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-Core'!

!ALExplicitLocatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 3/11/2011 15:02'!
locatorClass
	^ ALExplicitLocator ! !

!ALExplicitLocatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 3/11/2011 15:14'!
setUp
	super setUp.
	locator at: 'griffle' put: (ALFileResource on: 'griffle').
! !

ALLocatorTest subclass: #ALKeyLocatorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-Core'!

!ALKeyLocatorTest methodsFor: 'running' stamp: 'cwp 3/11/2011 14:49'!
locatorClass
	^ ALKeyLocator! !

!ALLocatorTest class methodsFor: 'as yet unclassified' stamp: 'cwp 3/11/2011 14:41'!
isAbstract
	^ self name = #ALLocatorTest! !

!ALLocatorTest methodsFor: 'support' stamp: 'cwp 3/11/2011 14:52'!
createResource: aString
	^ ALFileResource on: aString! !

!ALLocatorTest methodsFor: 'support' stamp: 'cwp 3/11/2011 14:51'!
indexResourceName
	^ 'plonk'! !

!ALLocatorTest methodsFor: 'running' stamp: 'cwp 3/11/2011 15:10'!
setUp
	| index |
	index := self createResource: self indexResourceName.
	locator := self locatorClass withIndex: index.
 ! !

!ALLocatorTest methodsFor: 'tests' stamp: 'cwp 3/11/2011 14:53'!
testIndexPath
	| actual expected |
	actual := locator resourceForPath: ALPath root.
	expected := self createResource: self indexResourceName.
	self assert: actual = expected! !

!ALLocatorTest methodsFor: 'tests' stamp: 'cwp 3/11/2011 14:53'!
testPath
	| expected path |
	expected := ALFileResource on: 'griffle'.
	path := locator pathForResource: expected.
	self assert: (path isKindOf: ALPath)! !

!ALLocatorTest methodsFor: 'tests' stamp: 'cwp 3/11/2011 15:11'!
testRoundTrip
	| actual expected path |
	expected := ALFileResource on: 'griffle'.
	path := locator pathForResource: expected.
	actual := locator resourceForPath: path.
	self assert: actual = expected! !

TestCase subclass: #ALZincDelegateTest
	instanceVariableNames: 'delegate'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-Core'!

!ALZincDelegateTest methodsFor: 'resource faking' stamp: 'cwp 3/11/2011 14:16'!
handleRequest: aZnRequest for: anALZincDelegate 
	^ ZnResponse ok: (ZnStringEntity text: 'test')! !

!ALZincDelegateTest methodsFor: 'tests' stamp: 'cwp 3/11/2011 14:15'!
setUp
	| locator |
	locator := ALExplicitLocator withIndex: nil.
	locator at: 'fizz' put: self.
	delegate := ALZincDelegate withLocator: locator! !

!ALZincDelegateTest methodsFor: 'tests' stamp: 'cwp 3/11/2011 11:02'!
testHandleRequest
	| response request |
	request := ZnRequest method: 'GET' url: 'http://localhost/fizz'.
	response := delegate handleRequest: request.
	self assert: (response isKindOf: ZnResponse)! !
